# Jquery Line Progress Bar
A light weight jquery progressbar plugin

![](https://img.shields.io/github/license/kingrayhan/LineProgressbar.svg)
![](https://img.shields.io/github/issues-raw/kingrayhan/LineProgressbar.svg?style=plastic)
![](https://img.shields.io/github/last-commit/kingrayhan/LineProgressbar.svg)
![](https://img.shields.io/github/languages/code-size/kingrayhan/LineProgressbar.svg)


## Demos and Docs
https://kingrayhan.github.io/LineProgressbar/


##### Include
```
<!-- In header -->
<link rel="stylesheet" href="jquery.lineProgressbar.css">

<!-- In footer -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="jquery.lineProgressbar.min.js"></script>
```

<br>


### Jquery Options method

##### Set HTML
You don't need any special markup. All you need is to give a `class` or `id` selector to a `div`. 
```
<div id="progressbar1"></div>
```

<br>

##### Call the plugin
Now call the Line Progress Bar initializer function and your progress bar is ready.
```
$('#progressbar1').LineProgressbar();
```

### [All Jquery Options](https://kingrayhan.github.io/LineProgressbar/options.html)
### [Demo](https://kingrayhan.github.io/LineProgressbar/jquery-options-demo.html)

---
<br>
<br>
<br>


### Data Attribute method <img src="https://kingrayhan.github.io/LineProgressbar/assets/images/new.GIF" />

You don't need to provide any options in this method, all you need just to put data attributes

```
<div 
    line-progressbar 
    data-percentage="25" 
    data-progress-color="#1abc9c"></div>
```

### [All Data attributes](https://kingrayhan.github.io/LineProgressbar/data-attributes.html)
### [Demo](https://kingrayhan.github.io/LineProgressbar/data-attrs-demo.html)


<br>
<br>
<br>
<br>

# FAQ

**Can I use it for free?** _Answer_: Yes

**Can I use it for commerce project?** _Answer_: Yes

**Has it any licence?** _Answer_: Yes , it's under **MIT LICENCE**. [Check here](https://github.com/kingRayhan/LineProgressbar/blob/master/LICENSE)

**Can i ask for a new functionality?** _Answer_: Yes! Go to Github [issues page](https://github.com/kingRayhan/LineProgressbar/issues) and ask for a feature.

**What's new in latest release?** _Answer_: See Changelog.
